/*
 * COPYRIGHT (c) 2018 All rights reserved by HANWHA LIFE.
 */
package kr.co.zumo.app.lifeplus.view.fragment.factory;

import android.support.v4.app.Fragment;

import kr.co.zumo.app.lifeplus.supervisor.ScreenID;
import kr.co.zumo.app.lifeplus.view.fragment.signup.SignUpAgreeFragment;
import kr.co.zumo.app.lifeplus.view.fragment.signup.SignUpAlreadyMemberFragment;
import kr.co.zumo.app.lifeplus.view.fragment.signup.SignUpCompletedFragment;
import kr.co.zumo.app.lifeplus.view.fragment.signup.SignUpNeedFor30daysFragment;
import kr.co.zumo.app.lifeplus.view.fragment.signup.SignUpMobileAuthorizationFragment;
import kr.co.zumo.app.lifeplus.view.fragment.signup.SignUpPinFragment;
import kr.co.zumo.app.lifeplus.view.fragment.signup.SignUpStartFragment;
import kr.co.zumo.app.lifeplus.view.fragment.signup.SignUpStartFromOnBoardingFragment;
import kr.co.zumo.app.lifeplus.view.fragment.signup.SignUpStartFromZumoFragment;

/**
 * 프래그먼트 팩토리
 * <pre>
 * </pre>
 *
 * @author 민효동
 * @version 1.0
 * @history 민효동   [2018. 9. 5.]   [최초 작성]
 * @since 2018. 9. 5.
 */
public class BasicFragmentFactory extends FragmentFactory {
  @Override
  public Fragment getFragmentById(@ScreenID.FragmentID int id) {
    Fragment fragment = null;
    switch (id) {
      case ScreenID.LOGIN:
        break;
      case ScreenID.MAIN:
        break;
      case ScreenID.NETWORK_ERROR:
        break;
      case ScreenID.SIGN_UP:
        break;
      case ScreenID.TUTORIAL:
        break;
      case ScreenID.SIGN_UP_START:
        fragment = new SignUpStartFragment();
        break;
      case ScreenID.SIGN_UP_START_FROM_ON_BOARDING:
        fragment = new SignUpStartFromOnBoardingFragment();
        break;
      case ScreenID.SIGN_UP_START_FROM_ZUMO:
        fragment = new SignUpStartFromZumoFragment();
        break;
      case ScreenID.SIGN_UP_MOBILE_AUTHORIZATION:
        fragment = new SignUpMobileAuthorizationFragment();
        break;
      case ScreenID.SIGN_UP_ALREADY_MEMBER:
        fragment = new SignUpAlreadyMemberFragment();
        break;
      case ScreenID.SIGN_UP_NEED_FOR_30DAYS:
        fragment = new SignUpNeedFor30daysFragment();
        break;
      case ScreenID.SIGN_UP_PIN:
        fragment = new SignUpPinFragment();
        break;
      case ScreenID.SIGN_UP_AGREE:
        fragment = new SignUpAgreeFragment();
        break;
      case ScreenID.SIGN_UP_COMPLETED:
        fragment = new SignUpCompletedFragment();
        break;
      default:
        fragment = null;
        break;
    }

    return fragment;
  }
}
